﻿using System.Collections.ObjectModel;

namespace DragDropFrameworkPOC
{
  public abstract class LivingBeing:IDragSource
  {
    /// <summary>
    /// Gets or sets the Name of the living being.
    /// </summary>
    public string Name { get; set; }

    public bool IsDraggable
    {
      get { return true; }
    }

    public System.Collections.ObjectModel.ObservableCollection<string> DragChannels
    {
      get { return GetChannelList(); }
    }

    protected virtual ObservableCollection<string> GetChannelList()
    {
      return null;
    }

    public object DropArgument
    {
      get
      {
        return this;
      }
    }
  }
}